org.bouncycastle.asn1.crmf

## Class AttributeTypeAndValue

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.crmf.AttributeTypeAndValue

All Implemented Interfaces:
  DEREncodable

    public class AttributeTypeAndValue
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static AttributeTypeAndValue` `getInstance(java.lang.Object o)`
`DERObjectIdentifier` `getType()`
`ASN1Encodable` `getValue()`
`DERObject` `toASN1Object()` AttributeTypeAndValue ::= SEQUENCE { type OBJECT IDENTIFIER, value ANY DEFINED BY type }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static AttributeTypeAndValue getInstance(java.lang.Object o)

#### getType

    public DERObjectIdentifier getType()

#### getValue

    public ASN1Encodable getValue()

#### toASN1Object

    public DERObject toASN1Object()

     AttributeTypeAndValue ::= SEQUENCE {
               type         OBJECT IDENTIFIER,
               value        ANY DEFINED BY type }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.